GET /orgs/{org}/attestations/repositories

github.com:github-rest-api

Summary: List attestation repositories
Operation ID: orgs/list-attestation-repositories
Auth: bearer_token
Description

List repositories owned by the provided organization that have created at least one attested artifact Results will be sorted in ascending order by repository ID

Parameters (5)

after (string, query, optional)

A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results after this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

before (string, query, optional)

A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results before this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

org (string, path, required)

The organization name. The name is not case sensitive.

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

predicate_type (string, query, optional)

Optional filter for fetching attestations with a given predicate type. This option accepts `provenance`, `sbom`, `release`, or freeform text for custom predicate types.

No probe data for this endpoint yet.